> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# アリムトークのテンプレートを一覧取得する（旧バージョン）

> 登録済みのカカオアリムトークテンプレートを一覧取得します。



## OpenAPI

````yaml /ja/api-reference/openapi.yaml get /projects/{projectId}/messages/kakao-alimtalk/templates
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly APIサーバー
security: []
tags:
  - name: catalog
    x-group: カタログ
paths:
  /projects/{projectId}/messages/kakao-alimtalk/templates:
    get:
      summary: list-kakao-alimtalk-templates
      operationId: listKakaoAlimtalkTemplates
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: プロジェクトIDです。
        - name: channelId
          in: query
          required: false
          schema:
            type: string
          description: アリムトークのチャネルIDです。複数のチャネルを登録している場合に使用します。
        - name: templateCode
          in: query
          required: false
          schema:
            type: string
          description: テンプレートコードです。
        - name: templateName
          in: query
          required: false
          schema:
            type: string
          description: テンプレート名です。
        - name: templateStatus
          in: query
          required: false
          schema:
            type: string
          description: テンプレートのステータスコードです。
        - name: pageNum
          in: query
          required: false
          schema:
            type: integer
          description: ページ番号です。
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
          description: 取得件数です。
      responses:
        '200':
          description: テンプレートの一覧を取得しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KakaoTemplateListResponse'
        '400':
          description: リクエスト本文の形式が不正です。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
        '401':
          description: トークンが無効か期限切れのため、認証に失敗しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
        '500':
          description: サーバー内部エラーです。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    KakaoTemplateListResponse:
      type: object
      properties:
        resultCode:
          type: integer
          description: 結果コードです。
        resultMessage:
          type: string
          description: 結果メッセージです。
        templateListResponse:
          type: object
          properties:
            templates:
              type: array
              items:
                type: object
              description: テンプレートのリストです。
            totalCount:
              type: integer
              description: テンプレートの総数です。
    SimpleErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: エラーメッセージ
      example:
        error: some-error-message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '`POST /authenticate`で発行したトークンをBearer形式で送信します。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.